param n := 13;
set N := { 1 .. n };
set E := {
<2,11>,
<2,7>,
<8,11>,
<6,11>,
<6,12>,
<2,9>,
<5,9>,
<4,12>,
<3,11>,
<0,6>,
<1,8>,
<0,10>,
<0,4>,
<4,10>,
<5,8>,
<2,5>,
<8,9>,
<7,9>,
<1,9>,
<9,11>,
<7,12>,
<0,2>,
<4,11>,
<5,10>};
param d[E] :=
<2,11> 3,
<2,7> 1,
<8,11> 5,
<6,11> 1,
<6,12> 5,
<2,9> 4,
<5,9> 5,
<4,12> 2,
<3,11> 1,
<0,6> 2,
<1,8> 5,
<0,10> 1,
<0,4> 3,
<4,10> 2,
<5,8> 2,
<2,5> 3,
<8,9> 2,
<7,9> 1,
<1,9> 2,
<9,11> 2,
<7,12> 19,
<0,2> 12,
<4,11> 12,
<5,10> 19;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
