param n := 13;
set N := { 1 .. n };
set E := {
<2,12>,
<10,12>,
<2,4>,
<9,10>,
<6,9>,
<7,9>,
<3,10>,
<1,12>,
<8,10>,
<0,4>,
<8,11>,
<5,11>,
<2,10>,
<0,1>,
<6,10>,
<1,2>,
<0,7>,
<0,9>,
<3,4>,
<6,11>,
<7,10>,
<1,11>,
<1,6>,
<2,6>};
param d[E] :=
<2,12> 1,
<10,12> 5,
<2,4> 5,
<9,10> 1,
<6,9> 4,
<7,9> 1,
<3,10> 2,
<1,12> 1,
<8,10> 5,
<0,4> 3,
<8,11> 3,
<5,11> 5,
<2,10> 2,
<0,1> 2,
<6,10> 4,
<1,2> 2,
<0,7> 4,
<0,9> 5,
<3,4> 1,
<6,11> 1,
<7,10> 24,
<1,11> 14,
<1,6> 25,
<2,6> 4;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
