param n := 13;
set N := { 1 .. n };
set E := {
<5,11>,
<2,5>,
<4,11>,
<2,12>,
<0,4>,
<1,5>,
<8,11>,
<2,3>,
<3,6>,
<0,9>,
<7,9>,
<6,10>,
<0,7>,
<1,9>,
<0,10>,
<7,10>,
<3,9>,
<0,5>,
<3,11>,
<6,8>,
<2,11>,
<6,9>,
<9,12>,
<1,11>};
param d[E] :=
<5,11> 3,
<2,5> 3,
<4,11> 4,
<2,12> 4,
<0,4> 2,
<1,5> 4,
<8,11> 3,
<2,3> 5,
<3,6> 1,
<0,9> 3,
<7,9> 4,
<6,10> 5,
<0,7> 2,
<1,9> 5,
<0,10> 3,
<7,10> 1,
<3,9> 4,
<0,5> 1,
<3,11> 4,
<6,8> 3,
<2,11> 9,
<6,9> 21,
<9,12> 7,
<1,11> 12;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
