param n := 13;
set N := { 1 .. n };
set E := {
<11,12>,
<3,12>,
<7,11>,
<1,7>,
<1,5>,
<1,8>,
<2,11>,
<0,2>,
<0,10>,
<9,12>,
<3,6>,
<1,4>,
<0,9>,
<2,6>,
<2,4>,
<0,8>,
<6,9>,
<6,10>,
<0,5>,
<2,7>,
<8,10>,
<9,11>,
<2,3>,
<3,9>};
param d[E] :=
<11,12> 1,
<3,12> 5,
<7,11> 1,
<1,7> 1,
<1,5> 5,
<1,8> 4,
<2,11> 2,
<0,2> 1,
<0,10> 5,
<9,12> 4,
<3,6> 4,
<1,4> 4,
<0,9> 3,
<2,6> 4,
<2,4> 4,
<0,8> 3,
<6,9> 2,
<6,10> 4,
<0,5> 4,
<2,7> 1,
<8,10> 16,
<9,11> 1,
<2,3> 20,
<3,9> 7;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
