param n := 13;
set N := { 1 .. n };
set E := {
<4,5>,
<3,5>,
<1,5>,
<5,6>,
<1,11>,
<3,7>,
<0,11>,
<1,10>,
<9,10>,
<0,12>,
<0,2>,
<1,8>,
<0,6>,
<4,9>,
<6,12>,
<10,11>,
<3,10>,
<6,7>,
<4,8>,
<8,12>,
<9,11>,
<0,8>,
<7,8>,
<0,9>};
param d[E] :=
<4,5> 3,
<3,5> 1,
<1,5> 3,
<5,6> 2,
<1,11> 5,
<3,7> 3,
<0,11> 1,
<1,10> 4,
<9,10> 5,
<0,12> 5,
<0,2> 2,
<1,8> 1,
<0,6> 1,
<4,9> 1,
<6,12> 5,
<10,11> 2,
<3,10> 3,
<6,7> 3,
<4,8> 4,
<8,12> 4,
<9,11> 7,
<0,8> 3,
<7,8> 7,
<0,9> 8;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
