param n := 13;
set N := { 1 .. n };
set E := {
<1,10>,
<1,6>,
<7,10>,
<6,9>,
<0,9>,
<8,10>,
<1,12>,
<4,6>,
<10,11>,
<1,3>,
<2,3>,
<5,7>,
<0,7>,
<2,5>,
<3,8>,
<0,11>,
<10,12>,
<0,10>,
<7,9>,
<4,10>,
<0,4>,
<4,11>,
<0,2>,
<2,6>};
param d[E] :=
<1,10> 3,
<1,6> 2,
<7,10> 2,
<6,9> 3,
<0,9> 3,
<8,10> 5,
<1,12> 2,
<4,6> 2,
<10,11> 1,
<1,3> 1,
<2,3> 1,
<5,7> 5,
<0,7> 3,
<2,5> 4,
<3,8> 4,
<0,11> 4,
<10,12> 5,
<0,10> 4,
<7,9> 5,
<4,10> 5,
<0,4> 17,
<4,11> 22,
<0,2> 2,
<2,6> 3;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
