param n := 13;
set N := { 1 .. n };
set E := {
<3,10>,
<3,12>,
<3,9>,
<6,9>,
<2,3>,
<3,5>,
<8,12>,
<7,8>,
<4,5>,
<0,5>,
<1,4>,
<11,12>,
<1,6>,
<4,11>,
<10,12>,
<5,9>,
<9,12>,
<4,10>,
<5,6>,
<7,10>,
<3,7>,
<3,6>,
<0,4>,
<1,5>};
param d[E] :=
<3,10> 2,
<3,12> 2,
<3,9> 1,
<6,9> 3,
<2,3> 4,
<3,5> 1,
<8,12> 3,
<7,8> 1,
<4,5> 1,
<0,5> 3,
<1,4> 5,
<11,12> 2,
<1,6> 5,
<4,11> 3,
<10,12> 1,
<5,9> 2,
<9,12> 5,
<4,10> 5,
<5,6> 5,
<7,10> 2,
<3,7> 4,
<3,6> 2,
<0,4> 6,
<1,5> 16;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
