param n := 13;
set N := { 1 .. n };
set E := {
<0,1>,
<1,10>,
<0,6>,
<0,9>,
<4,9>,
<3,9>,
<3,5>,
<3,8>,
<5,11>,
<0,2>,
<7,9>,
<7,12>,
<1,6>,
<4,12>,
<11,12>,
<0,4>,
<3,4>,
<6,11>,
<4,11>,
<0,11>,
<2,4>,
<2,5>,
<8,10>,
<1,8>};
param d[E] :=
<0,1> 5,
<1,10> 2,
<0,6> 5,
<0,9> 1,
<4,9> 2,
<3,9> 1,
<3,5> 5,
<3,8> 3,
<5,11> 2,
<0,2> 5,
<7,9> 2,
<7,12> 1,
<1,6> 4,
<4,12> 4,
<11,12> 1,
<0,4> 2,
<3,4> 4,
<6,11> 3,
<4,11> 2,
<0,11> 3,
<2,4> 15,
<2,5> 6,
<8,10> 20,
<1,8> 6;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
