param n := 13;
set N := { 1 .. n };
set E := {
<1,10>,
<2,10>,
<2,9>,
<2,4>,
<4,8>,
<10,11>,
<5,10>,
<5,6>,
<0,6>,
<0,12>,
<0,7>,
<3,11>,
<0,4>,
<7,12>,
<2,8>,
<10,12>,
<8,11>,
<4,9>,
<2,5>,
<2,6>,
<1,5>,
<5,9>,
<4,7>,
<7,8>};
param d[E] :=
<1,10> 3,
<2,10> 1,
<2,9> 4,
<2,4> 1,
<4,8> 1,
<10,11> 5,
<5,10> 1,
<5,6> 1,
<0,6> 1,
<0,12> 3,
<0,7> 4,
<3,11> 1,
<0,4> 5,
<7,12> 4,
<2,8> 1,
<10,12> 4,
<8,11> 4,
<4,9> 4,
<2,5> 1,
<2,6> 3,
<1,5> 6,
<5,9> 20,
<4,7> 16,
<7,8> 9;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
