param n := 13;
set N := { 1 .. n };
set E := {
<2,9>,
<9,11>,
<0,2>,
<7,9>,
<9,10>,
<0,3>,
<0,8>,
<0,6>,
<5,7>,
<4,10>,
<2,12>,
<1,5>,
<0,9>,
<6,8>,
<4,9>,
<10,12>,
<9,12>,
<4,7>,
<2,10>,
<0,12>,
<1,6>,
<0,4>,
<2,8>,
<4,12>};
param d[E] :=
<2,9> 4,
<9,11> 2,
<0,2> 2,
<7,9> 1,
<9,10> 4,
<0,3> 5,
<0,8> 4,
<0,6> 3,
<5,7> 2,
<4,10> 5,
<2,12> 2,
<1,5> 4,
<0,9> 1,
<6,8> 1,
<4,9> 1,
<10,12> 1,
<9,12> 3,
<4,7> 1,
<2,10> 5,
<0,12> 1,
<1,6> 3,
<0,4> 20,
<2,8> 23,
<4,12> 15;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
