param n := 13;
set N := { 1 .. n };
set E := {
<2,9>,
<3,9>,
<3,8>,
<0,8>,
<9,12>,
<10,12>,
<1,12>,
<5,8>,
<4,10>,
<4,6>,
<4,11>,
<7,12>,
<3,12>,
<0,10>,
<7,10>,
<1,7>,
<1,10>,
<1,8>,
<0,5>,
<6,11>,
<4,9>,
<8,12>,
<1,9>,
<0,9>};
param d[E] :=
<2,9> 5,
<3,9> 1,
<3,8> 2,
<0,8> 2,
<9,12> 5,
<10,12> 5,
<1,12> 5,
<5,8> 5,
<4,10> 3,
<4,6> 4,
<4,11> 4,
<7,12> 3,
<3,12> 3,
<0,10> 2,
<7,10> 4,
<1,7> 4,
<1,10> 4,
<1,8> 1,
<0,5> 3,
<6,11> 3,
<4,9> 7,
<8,12> 24,
<1,9> 19,
<0,9> 21;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
