param n := 13;
set N := { 1 .. n };
set E := {
<8,12>,
<7,8>,
<8,10>,
<2,10>,
<2,9>,
<8,11>,
<1,7>,
<6,9>,
<0,6>,
<0,5>,
<3,10>,
<4,6>,
<2,4>,
<5,6>,
<3,6>,
<3,5>,
<2,8>,
<7,10>,
<2,12>,
<7,12>,
<1,11>,
<6,7>,
<4,9>,
<3,8>};
param d[E] :=
<8,12> 2,
<7,8> 2,
<8,10> 4,
<2,10> 3,
<2,9> 1,
<8,11> 1,
<1,7> 4,
<6,9> 1,
<0,6> 2,
<0,5> 2,
<3,10> 1,
<4,6> 1,
<2,4> 4,
<5,6> 3,
<3,6> 4,
<3,5> 5,
<2,8> 3,
<7,10> 5,
<2,12> 4,
<7,12> 5,
<1,11> 21,
<6,7> 23,
<4,9> 18,
<3,8> 4;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
