param n := 13;
set N := { 1 .. n };
set E := {
<0,8>,
<8,10>,
<6,10>,
<6,11>,
<2,8>,
<6,7>,
<5,7>,
<4,7>,
<1,2>,
<9,10>,
<11,12>,
<3,11>,
<3,7>,
<1,12>,
<5,12>,
<4,5>,
<0,9>,
<0,7>,
<5,10>,
<7,11>,
<5,9>,
<2,11>,
<0,11>,
<2,10>};
param d[E] :=
<0,8> 5,
<8,10> 3,
<6,10> 2,
<6,11> 4,
<2,8> 5,
<6,7> 2,
<5,7> 4,
<4,7> 4,
<1,2> 5,
<9,10> 2,
<11,12> 2,
<3,11> 2,
<3,7> 5,
<1,12> 3,
<5,12> 4,
<4,5> 1,
<0,9> 5,
<0,7> 4,
<5,10> 2,
<7,11> 3,
<5,9> 11,
<2,11> 17,
<0,11> 8,
<2,10> 12;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
