param n := 13;
set N := { 1 .. n };
set E := {
<0,4>,
<0,1>,
<4,11>,
<0,2>,
<1,9>,
<3,9>,
<3,8>,
<1,5>,
<4,7>,
<2,12>,
<10,12>,
<6,8>,
<8,11>,
<3,7>,
<6,12>,
<0,8>,
<0,9>,
<4,9>,
<2,11>,
<8,12>,
<0,3>,
<2,8>,
<11,12>,
<2,6>};
param d[E] :=
<0,4> 4,
<0,1> 2,
<4,11> 3,
<0,2> 5,
<1,9> 1,
<3,9> 1,
<3,8> 3,
<1,5> 5,
<4,7> 3,
<2,12> 3,
<10,12> 2,
<6,8> 1,
<8,11> 3,
<3,7> 4,
<6,12> 4,
<0,8> 3,
<0,9> 4,
<4,9> 2,
<2,11> 5,
<8,12> 2,
<0,3> 1,
<2,8> 25,
<11,12> 20,
<2,6> 20;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
