param n := 13;
set N := { 1 .. n };
set E := {
<6,11>,
<6,10>,
<10,12>,
<5,10>,
<1,11>,
<1,7>,
<0,6>,
<3,5>,
<3,4>,
<0,2>,
<8,10>,
<5,9>,
<4,9>,
<1,3>,
<5,11>,
<4,11>,
<2,7>,
<0,3>,
<1,2>,
<0,1>,
<4,6>,
<1,12>,
<0,10>,
<1,10>};
param d[E] :=
<6,11> 4,
<6,10> 2,
<10,12> 1,
<5,10> 1,
<1,11> 3,
<1,7> 3,
<0,6> 5,
<3,5> 1,
<3,4> 5,
<0,2> 4,
<8,10> 5,
<5,9> 5,
<4,9> 2,
<1,3> 4,
<5,11> 3,
<4,11> 3,
<2,7> 3,
<0,3> 1,
<1,2> 5,
<0,1> 2,
<4,6> 11,
<1,12> 7,
<0,10> 13,
<1,10> 20;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
