param n := 13;
set N := { 1 .. n };
set E := {
<8,11>,
<0,11>,
<0,1>,
<1,7>,
<2,7>,
<2,5>,
<2,3>,
<3,10>,
<3,12>,
<9,10>,
<4,10>,
<6,11>,
<1,6>,
<1,10>,
<7,12>,
<2,4>,
<3,9>,
<4,6>,
<5,7>,
<9,11>,
<8,10>,
<3,8>,
<5,9>,
<1,2>};
param d[E] :=
<8,11> 5,
<0,11> 1,
<0,1> 1,
<1,7> 3,
<2,7> 2,
<2,5> 3,
<2,3> 4,
<3,10> 1,
<3,12> 5,
<9,10> 5,
<4,10> 2,
<6,11> 5,
<1,6> 4,
<1,10> 3,
<7,12> 4,
<2,4> 5,
<3,9> 4,
<4,6> 2,
<5,7> 3,
<9,11> 2,
<8,10> 20,
<3,8> 1,
<5,9> 10,
<1,2> 21;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
