param n := 13;
set N := { 1 .. n };
set E := {
<6,12>,
<11,12>,
<5,12>,
<2,11>,
<2,10>,
<2,3>,
<9,10>,
<0,9>,
<0,8>,
<4,9>,
<1,5>,
<7,10>,
<4,8>,
<2,4>,
<4,7>,
<10,11>,
<9,11>,
<2,9>,
<10,12>,
<0,5>,
<8,10>,
<3,11>,
<5,8>,
<4,6>};
param d[E] :=
<6,12> 5,
<11,12> 5,
<5,12> 2,
<2,11> 5,
<2,10> 4,
<2,3> 2,
<9,10> 5,
<0,9> 5,
<0,8> 5,
<4,9> 1,
<1,5> 5,
<7,10> 4,
<4,8> 4,
<2,4> 2,
<4,7> 4,
<10,11> 1,
<9,11> 4,
<2,9> 1,
<10,12> 2,
<0,5> 2,
<8,10> 3,
<3,11> 4,
<5,8> 1,
<4,6> 8;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
