param n := 13;
set N := { 1 .. n };
set E := {
<2,8>,
<2,11>,
<2,6>,
<6,9>,
<5,6>,
<4,9>,
<0,4>,
<5,7>,
<3,6>,
<1,6>,
<3,12>,
<5,10>,
<4,5>,
<0,7>,
<1,10>,
<10,12>,
<9,11>,
<0,8>,
<7,11>,
<3,9>,
<6,8>,
<3,11>,
<2,3>,
<2,5>};
param d[E] :=
<2,8> 5,
<2,11> 5,
<2,6> 3,
<6,9> 4,
<5,6> 1,
<4,9> 5,
<0,4> 4,
<5,7> 4,
<3,6> 3,
<1,6> 3,
<3,12> 5,
<5,10> 4,
<4,5> 4,
<0,7> 5,
<1,10> 1,
<10,12> 5,
<9,11> 2,
<0,8> 5,
<7,11> 2,
<3,9> 2,
<6,8> 16,
<3,11> 23,
<2,3> 21,
<2,5> 2;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
