param n := 13;
set N := { 1 .. n };
set E := {
<0,6>,
<1,6>,
<1,7>,
<1,11>,
<3,11>,
<6,10>,
<6,12>,
<3,9>,
<8,10>,
<4,10>,
<2,6>,
<1,5>,
<1,8>,
<0,3>,
<6,7>,
<2,7>,
<0,8>,
<4,6>,
<1,10>,
<7,11>,
<3,7>,
<5,10>,
<0,1>,
<3,10>};
param d[E] :=
<0,6> 4,
<1,6> 2,
<1,7> 4,
<1,11> 3,
<3,11> 1,
<6,10> 5,
<6,12> 2,
<3,9> 4,
<8,10> 2,
<4,10> 3,
<2,6> 3,
<1,5> 2,
<1,8> 3,
<0,3> 3,
<6,7> 4,
<2,7> 4,
<0,8> 2,
<4,6> 5,
<1,10> 5,
<7,11> 1,
<3,7> 14,
<5,10> 6,
<0,1> 7,
<3,10> 13;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
