param n := 13;
set N := { 1 .. n };
set E := {
<1,4>,
<4,12>,
<1,9>,
<2,4>,
<9,10>,
<4,11>,
<6,9>,
<5,11>,
<5,7>,
<6,8>,
<3,8>,
<0,8>,
<2,9>,
<5,12>,
<6,12>,
<4,7>,
<9,11>,
<0,1>,
<1,7>,
<7,8>,
<0,6>,
<1,6>,
<0,3>,
<8,12>};
param d[E] :=
<1,4> 3,
<4,12> 4,
<1,9> 3,
<2,4> 5,
<9,10> 4,
<4,11> 2,
<6,9> 5,
<5,11> 1,
<5,7> 2,
<6,8> 3,
<3,8> 2,
<0,8> 5,
<2,9> 4,
<5,12> 2,
<6,12> 1,
<4,7> 4,
<9,11> 2,
<0,1> 5,
<1,7> 2,
<7,8> 2,
<0,6> 14,
<1,6> 23,
<0,3> 8,
<8,12> 2;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
