param n := 13;
set N := { 1 .. n };
set E := {
<2,6>,
<2,4>,
<4,7>,
<7,11>,
<7,9>,
<3,9>,
<9,10>,
<4,8>,
<1,3>,
<2,12>,
<1,5>,
<0,2>,
<7,12>,
<1,7>,
<0,8>,
<5,8>,
<5,12>,
<8,9>,
<8,11>,
<7,10>,
<3,7>,
<6,11>,
<1,2>,
<8,10>};
param d[E] :=
<2,6> 2,
<2,4> 1,
<4,7> 3,
<7,11> 5,
<7,9> 4,
<3,9> 5,
<9,10> 3,
<4,8> 1,
<1,3> 2,
<2,12> 2,
<1,5> 1,
<0,2> 1,
<7,12> 1,
<1,7> 1,
<0,8> 5,
<5,8> 5,
<5,12> 1,
<8,9> 3,
<8,11> 5,
<7,10> 5,
<3,7> 9,
<6,11> 4,
<1,2> 24,
<8,10> 20;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
