param n := 13;
set N := { 1 .. n };
set E := {
<7,10>,
<2,10>,
<0,7>,
<2,6>,
<6,9>,
<1,10>,
<2,3>,
<1,12>,
<2,4>,
<10,11>,
<5,10>,
<3,8>,
<5,8>,
<3,6>,
<0,1>,
<1,2>,
<3,10>,
<4,6>,
<0,8>,
<1,8>,
<6,12>,
<1,5>,
<3,12>,
<1,4>};
param d[E] :=
<7,10> 5,
<2,10> 1,
<0,7> 4,
<2,6> 1,
<6,9> 1,
<1,10> 4,
<2,3> 5,
<1,12> 2,
<2,4> 5,
<10,11> 3,
<5,10> 5,
<3,8> 1,
<5,8> 3,
<3,6> 1,
<0,1> 1,
<1,2> 3,
<3,10> 5,
<4,6> 2,
<0,8> 5,
<1,8> 2,
<6,12> 16,
<1,5> 25,
<3,12> 16,
<1,4> 18;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
