param n := 13;
set N := { 1 .. n };
set E := {
<9,12>,
<5,12>,
<3,12>,
<3,6>,
<1,9>,
<1,8>,
<2,6>,
<0,2>,
<1,7>,
<7,11>,
<4,7>,
<5,10>,
<1,11>,
<10,11>,
<5,9>,
<4,11>,
<3,5>,
<3,9>,
<4,8>,
<7,12>,
<7,9>,
<6,11>,
<1,12>,
<2,12>};
param d[E] :=
<9,12> 1,
<5,12> 4,
<3,12> 5,
<3,6> 3,
<1,9> 4,
<1,8> 5,
<2,6> 2,
<0,2> 3,
<1,7> 5,
<7,11> 3,
<4,7> 4,
<5,10> 2,
<1,11> 1,
<10,11> 1,
<5,9> 5,
<4,11> 4,
<3,5> 1,
<3,9> 4,
<4,8> 5,
<7,12> 4,
<7,9> 16,
<6,11> 24,
<1,12> 16,
<2,12> 17;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
