param n := 13;
set N := { 1 .. n };
set E := {
<3,12>,
<5,12>,
<2,12>,
<1,2>,
<0,1>,
<1,9>,
<6,9>,
<4,12>,
<8,12>,
<5,11>,
<3,10>,
<2,7>,
<5,7>,
<7,10>,
<6,11>,
<8,11>,
<1,3>,
<2,3>,
<0,9>,
<3,4>,
<2,6>,
<6,12>,
<2,11>,
<6,10>};
param d[E] :=
<3,12> 4,
<5,12> 1,
<2,12> 4,
<1,2> 5,
<0,1> 5,
<1,9> 5,
<6,9> 3,
<4,12> 2,
<8,12> 5,
<5,11> 2,
<3,10> 5,
<2,7> 4,
<5,7> 1,
<7,10> 1,
<6,11> 4,
<8,11> 1,
<1,3> 5,
<2,3> 3,
<0,9> 5,
<3,4> 1,
<2,6> 23,
<6,12> 17,
<2,11> 23,
<6,10> 16;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
