param n := 13;
set N := { 1 .. n };
set E := {
<0,11>,
<9,11>,
<1,9>,
<8,9>,
<0,6>,
<4,6>,
<0,12>,
<0,3>,
<8,10>,
<0,5>,
<2,5>,
<2,7>,
<2,10>,
<3,7>,
<7,8>,
<9,12>,
<0,8>,
<4,11>,
<4,10>,
<6,11>,
<3,4>,
<2,6>,
<1,7>,
<8,11>};
param d[E] :=
<0,11> 1,
<9,11> 1,
<1,9> 4,
<8,9> 4,
<0,6> 5,
<4,6> 4,
<0,12> 5,
<0,3> 2,
<8,10> 4,
<0,5> 5,
<2,5> 2,
<2,7> 1,
<2,10> 5,
<3,7> 3,
<7,8> 1,
<9,12> 2,
<0,8> 5,
<4,11> 4,
<4,10> 2,
<6,11> 5,
<3,4> 10,
<2,6> 17,
<1,7> 10,
<8,11> 24;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
