param n := 13;
set N := { 1 .. n };
set E := {
<2,7>,
<2,4>,
<4,6>,
<4,11>,
<3,11>,
<3,8>,
<2,10>,
<0,8>,
<1,4>,
<4,12>,
<8,9>,
<5,12>,
<3,5>,
<5,9>,
<6,8>,
<0,11>,
<1,8>,
<0,7>,
<3,6>,
<2,3>,
<1,11>,
<3,10>,
<4,9>,
<7,9>};
param d[E] :=
<2,7> 3,
<2,4> 5,
<4,6> 4,
<4,11> 1,
<3,11> 1,
<3,8> 1,
<2,10> 5,
<0,8> 3,
<1,4> 1,
<4,12> 1,
<8,9> 5,
<5,12> 2,
<3,5> 2,
<5,9> 2,
<6,8> 4,
<0,11> 3,
<1,8> 2,
<0,7> 3,
<3,6> 5,
<2,3> 4,
<1,11> 12,
<3,10> 5,
<4,9> 4,
<7,9> 13;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
