param n := 13;
set N := { 1 .. n };
set E := {
<6,11>,
<6,10>,
<9,10>,
<4,6>,
<9,12>,
<5,12>,
<5,7>,
<2,7>,
<7,8>,
<3,5>,
<1,4>,
<0,3>,
<0,2>,
<4,12>,
<1,7>,
<6,9>,
<4,9>,
<9,11>,
<3,11>,
<2,10>,
<5,6>,
<2,11>,
<5,9>,
<6,8>};
param d[E] :=
<6,11> 1,
<6,10> 1,
<9,10> 3,
<4,6> 3,
<9,12> 1,
<5,12> 3,
<5,7> 4,
<2,7> 3,
<7,8> 1,
<3,5> 5,
<1,4> 3,
<0,3> 1,
<0,2> 2,
<4,12> 4,
<1,7> 1,
<6,9> 5,
<4,9> 1,
<9,11> 3,
<3,11> 4,
<2,10> 3,
<5,6> 13,
<2,11> 7,
<5,9> 6,
<6,8> 25;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
