param n := 13;
set N := { 1 .. n };
set E := {
<2,3>,
<3,4>,
<4,11>,
<10,11>,
<9,11>,
<0,2>,
<7,10>,
<6,7>,
<9,12>,
<1,3>,
<8,12>,
<5,9>,
<0,4>,
<0,12>,
<0,11>,
<11,12>,
<3,6>,
<1,4>,
<7,11>,
<0,1>,
<0,10>,
<8,11>,
<4,9>,
<3,8>};
param d[E] :=
<2,3> 2,
<3,4> 2,
<4,11> 1,
<10,11> 5,
<9,11> 1,
<0,2> 2,
<7,10> 5,
<6,7> 1,
<9,12> 3,
<1,3> 2,
<8,12> 3,
<5,9> 4,
<0,4> 4,
<0,12> 2,
<0,11> 3,
<11,12> 2,
<3,6> 5,
<1,4> 5,
<7,11> 1,
<0,1> 3,
<0,10> 9,
<8,11> 20,
<4,9> 23,
<3,8> 12;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
