param n := 13;
set N := { 1 .. n };
set E := {
<0,11>,
<4,11>,
<4,10>,
<8,11>,
<5,11>,
<5,6>,
<0,2>,
<2,9>,
<11,12>,
<1,12>,
<2,7>,
<3,7>,
<5,8>,
<1,3>,
<6,9>,
<1,9>,
<10,11>,
<0,6>,
<2,4>,
<2,10>,
<6,10>,
<9,12>,
<1,2>,
<0,9>};
param d[E] :=
<0,11> 3,
<4,11> 1,
<4,10> 5,
<8,11> 1,
<5,11> 2,
<5,6> 2,
<0,2> 1,
<2,9> 2,
<11,12> 4,
<1,12> 1,
<2,7> 1,
<3,7> 3,
<5,8> 4,
<1,3> 1,
<6,9> 3,
<1,9> 2,
<10,11> 5,
<0,6> 5,
<2,4> 4,
<2,10> 4,
<6,10> 22,
<9,12> 18,
<1,2> 23,
<0,9> 21;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
