param n := 13;
set N := { 1 .. n };
set E := {
<1,7>,
<1,12>,
<1,2>,
<2,10>,
<9,10>,
<5,9>,
<0,5>,
<8,9>,
<0,11>,
<6,10>,
<4,6>,
<1,3>,
<0,2>,
<6,11>,
<4,11>,
<3,11>,
<2,6>,
<1,5>,
<10,12>,
<7,11>,
<5,6>,
<8,10>,
<10,11>,
<4,7>};
param d[E] :=
<1,7> 2,
<1,12> 3,
<1,2> 1,
<2,10> 2,
<9,10> 4,
<5,9> 2,
<0,5> 5,
<8,9> 5,
<0,11> 3,
<6,10> 2,
<4,6> 3,
<1,3> 2,
<0,2> 4,
<6,11> 2,
<4,11> 2,
<3,11> 3,
<2,6> 5,
<1,5> 1,
<10,12> 2,
<7,11> 4,
<5,6> 24,
<8,10> 15,
<10,11> 10,
<4,7> 15;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
