param n := 13;
set N := { 1 .. n };
set E := {
<1,10>,
<1,7>,
<7,11>,
<4,7>,
<3,4>,
<4,9>,
<4,5>,
<6,11>,
<7,12>,
<0,3>,
<2,6>,
<6,8>,
<8,11>,
<3,6>,
<1,9>,
<3,5>,
<3,11>,
<1,5>,
<6,12>,
<10,11>,
<0,5>,
<5,11>,
<9,11>,
<6,9>};
param d[E] :=
<1,10> 2,
<1,7> 2,
<7,11> 2,
<4,7> 5,
<3,4> 5,
<4,9> 5,
<4,5> 3,
<6,11> 4,
<7,12> 4,
<0,3> 3,
<2,6> 3,
<6,8> 1,
<8,11> 5,
<3,6> 5,
<1,9> 3,
<3,5> 2,
<3,11> 2,
<1,5> 4,
<6,12> 5,
<10,11> 5,
<0,5> 11,
<5,11> 11,
<9,11> 2,
<6,9> 22;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
