param n := 13;
set N := { 1 .. n };
set E := {
<2,10>,
<1,10>,
<0,2>,
<0,8>,
<3,10>,
<10,12>,
<2,7>,
<5,7>,
<6,8>,
<4,10>,
<7,11>,
<1,9>,
<0,4>,
<5,8>,
<4,7>,
<0,10>,
<9,11>,
<1,6>,
<6,12>,
<4,6>,
<4,12>,
<3,7>,
<0,7>,
<6,11>};
param d[E] :=
<2,10> 3,
<1,10> 2,
<0,2> 2,
<0,8> 1,
<3,10> 2,
<10,12> 2,
<2,7> 2,
<5,7> 4,
<6,8> 4,
<4,10> 1,
<7,11> 5,
<1,9> 1,
<0,4> 2,
<5,8> 4,
<4,7> 1,
<0,10> 1,
<9,11> 1,
<1,6> 5,
<6,12> 4,
<4,6> 4,
<4,12> 10,
<3,7> 23,
<0,7> 4,
<6,11> 23;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
