param n := 13;
set N := { 1 .. n };
set E := {
<0,3>,
<3,4>,
<3,12>,
<4,6>,
<0,11>,
<2,11>,
<1,11>,
<1,7>,
<4,5>,
<10,11>,
<3,8>,
<9,12>,
<5,6>,
<6,9>,
<9,10>,
<7,12>,
<6,12>,
<4,11>,
<10,12>,
<4,10>,
<1,6>,
<5,10>,
<0,8>,
<0,5>};
param d[E] :=
<0,3> 3,
<3,4> 2,
<3,12> 5,
<4,6> 4,
<0,11> 4,
<2,11> 2,
<1,11> 2,
<1,7> 2,
<4,5> 4,
<10,11> 2,
<3,8> 4,
<9,12> 3,
<5,6> 5,
<6,9> 1,
<9,10> 2,
<7,12> 3,
<6,12> 4,
<4,11> 4,
<10,12> 3,
<4,10> 1,
<1,6> 20,
<5,10> 6,
<0,8> 4,
<0,5> 2;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
