param n := 13;
set N := { 1 .. n };
set E := {
<2,11>,
<6,11>,
<2,5>,
<5,12>,
<7,11>,
<7,10>,
<9,10>,
<7,8>,
<0,8>,
<0,3>,
<0,1>,
<1,4>,
<3,8>,
<0,12>,
<1,7>,
<0,7>,
<1,10>,
<2,6>,
<6,12>,
<5,7>,
<1,2>,
<8,11>,
<4,11>,
<0,4>};
param d[E] :=
<2,11> 1,
<6,11> 2,
<2,5> 3,
<5,12> 2,
<7,11> 3,
<7,10> 3,
<9,10> 5,
<7,8> 5,
<0,8> 4,
<0,3> 1,
<0,1> 4,
<1,4> 3,
<3,8> 2,
<0,12> 1,
<1,7> 4,
<0,7> 4,
<1,10> 4,
<2,6> 5,
<6,12> 4,
<5,7> 2,
<1,2> 15,
<8,11> 13,
<4,11> 10,
<0,4> 18;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
