param n := 13;
set N := { 1 .. n };
set E := {
<0,4>,
<3,4>,
<3,6>,
<3,10>,
<4,12>,
<7,12>,
<4,5>,
<2,5>,
<7,11>,
<8,11>,
<8,9>,
<1,9>,
<2,7>,
<5,11>,
<7,8>,
<5,9>,
<6,10>,
<10,12>,
<7,10>,
<6,7>,
<6,12>,
<5,8>,
<3,8>,
<3,12>};
param d[E] :=
<0,4> 5,
<3,4> 3,
<3,6> 4,
<3,10> 5,
<4,12> 1,
<7,12> 3,
<4,5> 2,
<2,5> 3,
<7,11> 1,
<8,11> 4,
<8,9> 1,
<1,9> 3,
<2,7> 4,
<5,11> 5,
<7,8> 5,
<5,9> 2,
<6,10> 5,
<10,12> 2,
<7,10> 5,
<6,7> 4,
<6,12> 17,
<5,8> 3,
<3,8> 20,
<3,12> 1;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
