param n := 13;
set N := { 1 .. n };
set E := {
<0,1>,
<1,5>,
<5,8>,
<4,8>,
<4,11>,
<4,10>,
<4,6>,
<5,9>,
<3,9>,
<3,7>,
<1,12>,
<2,7>,
<7,9>,
<3,12>,
<3,10>,
<8,10>,
<0,10>,
<10,11>,
<0,11>,
<0,5>,
<3,4>,
<1,11>,
<5,7>,
<7,8>};
param d[E] :=
<0,1> 3,
<1,5> 1,
<5,8> 2,
<4,8> 3,
<4,11> 1,
<4,10> 5,
<4,6> 1,
<5,9> 2,
<3,9> 1,
<3,7> 4,
<1,12> 4,
<2,7> 4,
<7,9> 3,
<3,12> 1,
<3,10> 5,
<8,10> 5,
<0,10> 4,
<10,11> 5,
<0,11> 1,
<0,5> 4,
<3,4> 9,
<1,11> 4,
<5,7> 5,
<7,8> 4;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
