param n := 13;
set N := { 1 .. n };
set E := {
<1,11>,
<11,12>,
<10,12>,
<7,10>,
<9,11>,
<8,11>,
<3,8>,
<5,9>,
<0,11>,
<6,10>,
<2,5>,
<4,5>,
<2,4>,
<0,3>,
<3,5>,
<1,9>,
<3,7>,
<1,3>,
<7,11>,
<2,7>,
<3,11>,
<2,10>,
<0,7>,
<0,5>};
param d[E] :=
<1,11> 4,
<11,12> 3,
<10,12> 5,
<7,10> 1,
<9,11> 1,
<8,11> 1,
<3,8> 4,
<5,9> 4,
<0,11> 4,
<6,10> 2,
<2,5> 4,
<4,5> 2,
<2,4> 1,
<0,3> 4,
<3,5> 2,
<1,9> 4,
<3,7> 2,
<1,3> 4,
<7,11> 1,
<2,7> 4,
<3,11> 5,
<2,10> 11,
<0,7> 15,
<0,5> 18;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
