param n := 13;
set N := { 1 .. n };
set E := {
<0,10>,
<0,2>,
<1,10>,
<1,4>,
<6,10>,
<9,10>,
<0,5>,
<5,12>,
<0,8>,
<3,8>,
<1,7>,
<11,12>,
<6,8>,
<5,6>,
<3,12>,
<2,10>,
<2,6>,
<4,12>,
<5,8>,
<2,7>,
<8,10>,
<4,5>,
<0,1>,
<4,11>};
param d[E] :=
<0,10> 2,
<0,2> 2,
<1,10> 2,
<1,4> 2,
<6,10> 4,
<9,10> 2,
<0,5> 4,
<5,12> 2,
<0,8> 3,
<3,8> 4,
<1,7> 1,
<11,12> 5,
<6,8> 3,
<5,6> 3,
<3,12> 5,
<2,10> 2,
<2,6> 3,
<4,12> 4,
<5,8> 5,
<2,7> 2,
<8,10> 13,
<4,5> 12,
<0,1> 8,
<4,11> 3;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
