param n := 13;
set N := { 1 .. n };
set E := {
<11,12>,
<10,11>,
<0,11>,
<4,12>,
<7,11>,
<0,9>,
<1,10>,
<5,7>,
<2,12>,
<2,3>,
<8,9>,
<6,8>,
<2,6>,
<3,5>,
<2,5>,
<0,8>,
<2,10>,
<6,12>,
<10,12>,
<1,7>,
<4,6>,
<9,11>,
<6,10>,
<5,9>};
param d[E] :=
<11,12> 3,
<10,11> 5,
<0,11> 1,
<4,12> 1,
<7,11> 5,
<0,9> 4,
<1,10> 5,
<5,7> 2,
<2,12> 3,
<2,3> 4,
<8,9> 4,
<6,8> 2,
<2,6> 2,
<3,5> 1,
<2,5> 1,
<0,8> 5,
<2,10> 5,
<6,12> 1,
<10,12> 1,
<1,7> 5,
<4,6> 1,
<9,11> 21,
<6,10> 13,
<5,9> 6;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
