param n := 13;
set N := { 1 .. n };
set E := {
<1,12>,
<1,8>,
<8,11>,
<2,8>,
<1,6>,
<9,12>,
<8,10>,
<0,1>,
<7,9>,
<3,9>,
<1,5>,
<1,4>,
<2,9>,
<0,6>,
<0,5>,
<6,11>,
<6,9>,
<1,2>,
<1,7>,
<1,9>,
<1,10>,
<3,5>,
<0,4>,
<6,10>};
param d[E] :=
<1,12> 4,
<1,8> 2,
<8,11> 5,
<2,8> 3,
<1,6> 1,
<9,12> 3,
<8,10> 3,
<0,1> 2,
<7,9> 4,
<3,9> 2,
<1,5> 5,
<1,4> 3,
<2,9> 1,
<0,6> 5,
<0,5> 2,
<6,11> 5,
<6,9> 3,
<1,2> 2,
<1,7> 1,
<1,9> 4,
<1,10> 3,
<3,5> 10,
<0,4> 3,
<6,10> 18;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
