param n := 13;
set N := { 1 .. n };
set E := {
<0,7>,
<1,7>,
<7,9>,
<0,8>,
<8,10>,
<1,3>,
<3,5>,
<4,9>,
<1,2>,
<4,6>,
<0,11>,
<11,12>,
<6,11>,
<3,10>,
<0,2>,
<1,6>,
<4,10>,
<4,5>,
<2,9>,
<4,7>,
<3,8>,
<0,6>,
<3,6>,
<6,8>};
param d[E] :=
<0,7> 3,
<1,7> 2,
<7,9> 5,
<0,8> 4,
<8,10> 4,
<1,3> 4,
<3,5> 2,
<4,9> 3,
<1,2> 2,
<4,6> 4,
<0,11> 5,
<11,12> 3,
<6,11> 2,
<3,10> 5,
<0,2> 1,
<1,6> 4,
<4,10> 1,
<4,5> 2,
<2,9> 3,
<4,7> 1,
<3,8> 13,
<0,6> 13,
<3,6> 2,
<6,8> 22;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
