param n := 13;
set N := { 1 .. n };
set E := {
<2,11>,
<6,11>,
<6,7>,
<0,7>,
<7,12>,
<0,8>,
<4,6>,
<7,10>,
<0,9>,
<3,11>,
<5,10>,
<1,8>,
<5,9>,
<8,10>,
<9,10>,
<0,11>,
<9,11>,
<2,4>,
<0,10>,
<5,11>,
<3,4>,
<3,8>,
<3,9>,
<2,6>};
param d[E] :=
<2,11> 1,
<6,11> 5,
<6,7> 4,
<0,7> 4,
<7,12> 5,
<0,8> 4,
<4,6> 3,
<7,10> 5,
<0,9> 1,
<3,11> 1,
<5,10> 1,
<1,8> 4,
<5,9> 3,
<8,10> 1,
<9,10> 4,
<0,11> 4,
<9,11> 4,
<2,4> 4,
<0,10> 2,
<5,11> 3,
<3,4> 21,
<3,8> 13,
<3,9> 25,
<2,6> 19;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
