param n := 13;
set N := { 1 .. n };
set E := {
<1,10>,
<1,6>,
<5,6>,
<5,11>,
<4,5>,
<7,11>,
<7,8>,
<0,10>,
<0,3>,
<2,7>,
<0,12>,
<1,9>,
<4,6>,
<5,12>,
<4,9>,
<2,9>,
<0,8>,
<1,7>,
<6,7>,
<1,2>,
<10,11>,
<1,5>,
<2,11>,
<0,11>};
param d[E] :=
<1,10> 2,
<1,6> 5,
<5,6> 2,
<5,11> 2,
<4,5> 2,
<7,11> 5,
<7,8> 2,
<0,10> 3,
<0,3> 1,
<2,7> 5,
<0,12> 2,
<1,9> 4,
<4,6> 4,
<5,12> 2,
<4,9> 4,
<2,9> 2,
<0,8> 5,
<1,7> 4,
<6,7> 2,
<1,2> 1,
<10,11> 24,
<1,5> 17,
<2,11> 9,
<0,11> 23;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
