param n := 13;
set N := { 1 .. n };
set E := {
<2,8>,
<3,8>,
<3,9>,
<2,6>,
<4,6>,
<1,9>,
<8,12>,
<1,10>,
<0,8>,
<5,12>,
<2,11>,
<7,11>,
<0,11>,
<10,11>,
<0,10>,
<10,12>,
<5,11>,
<2,4>,
<1,8>,
<4,10>,
<2,3>,
<1,12>,
<9,10>,
<6,9>};
param d[E] :=
<2,8> 2,
<3,8> 3,
<3,9> 4,
<2,6> 5,
<4,6> 2,
<1,9> 1,
<8,12> 4,
<1,10> 3,
<0,8> 4,
<5,12> 1,
<2,11> 3,
<7,11> 2,
<0,11> 1,
<10,11> 2,
<0,10> 2,
<10,12> 3,
<5,11> 1,
<2,4> 1,
<1,8> 3,
<4,10> 5,
<2,3> 21,
<1,12> 20,
<9,10> 21,
<6,9> 7;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
