param n := 13;
set N := { 1 .. n };
set E := {
<7,11>,
<7,12>,
<10,12>,
<0,7>,
<9,10>,
<8,9>,
<0,6>,
<4,8>,
<0,5>,
<2,5>,
<3,6>,
<1,3>,
<2,4>,
<4,6>,
<2,8>,
<0,8>,
<4,11>,
<6,12>,
<6,11>,
<0,3>,
<4,7>,
<0,9>,
<0,4>,
<3,9>};
param d[E] :=
<7,11> 2,
<7,12> 3,
<10,12> 3,
<0,7> 2,
<9,10> 4,
<8,9> 5,
<0,6> 4,
<4,8> 4,
<0,5> 5,
<2,5> 3,
<3,6> 1,
<1,3> 2,
<2,4> 3,
<4,6> 5,
<2,8> 4,
<0,8> 2,
<4,11> 1,
<6,12> 5,
<6,11> 4,
<0,3> 5,
<4,7> 1,
<0,9> 18,
<0,4> 13,
<3,9> 19;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
