param n := 13;
set N := { 1 .. n };
set E := {
<0,8>,
<0,6>,
<2,6>,
<0,9>,
<6,11>,
<5,6>,
<8,10>,
<7,10>,
<3,9>,
<1,6>,
<0,12>,
<0,4>,
<2,12>,
<1,5>,
<9,10>,
<4,10>,
<8,11>,
<5,9>,
<3,8>,
<0,11>,
<2,4>,
<4,6>,
<3,12>,
<9,11>};
param d[E] :=
<0,8> 1,
<0,6> 3,
<2,6> 2,
<0,9> 2,
<6,11> 1,
<5,6> 3,
<8,10> 2,
<7,10> 1,
<3,9> 1,
<1,6> 5,
<0,12> 5,
<0,4> 5,
<2,12> 5,
<1,5> 1,
<9,10> 1,
<4,10> 3,
<8,11> 3,
<5,9> 4,
<3,8> 1,
<0,11> 3,
<2,4> 2,
<4,6> 21,
<3,12> 19,
<9,11> 14;
set M := { 1 .. 7 };
param b := 40;
param R := 5;
var x[N*M] binary;
var f[E*M] >= 0;
minimize obj: sum <i> in N: ( sum <k> in M: x[i,k]);
subto cons1: forall <rho1,rho2> in E: sum <k> in M: f[rho1,rho2,k] == 1;
subto cons2: forall <k> in M: sum <rho1,rho2> in E: d[rho1,rho2]*f[rho1,rho2,k] <= b;
subto cons3: forall <k> in M: sum <i> in N: x[i,k] <= R;
subto cons4: forall <i,k> in N*M: forall <rho1,rho2> in {<e1,e2> in E with (e1 == i) or (e2 == i)}: f[rho1,rho2,k] <= x[i,k];
